dvb_desc_event_extended Struct Reference
Parsers for several MPEG-TS descriptors

Structure containing the extended event descriptor. More...

`#include <desc_event_extended.h>`

## Data Fields

uint8_t | type
uint8_t | length
struct dvb_desc * | next
union { |
struct { |
uint8_t last_id:4 |
uint8_t id:4 |
} |
uint8_t ids |
}; |
unsigned char | language [4]
char * | text
char * | text_emph
struct dvb_desc_event_extended_item * | items
int | num_items

## Detailed Description

Structure containing the extended event descriptor.

Parameters

  type | descriptor tag
  length | descriptor length
  next | pointer to struct dvb_desc
  id | descriptor number
  last_id | last descriptor number
  language | ISO 639 language code
  text | text string
  text_emph | text emphasis string

The emphasis text is the one that uses asterisks. For example, in the text: "the quick *fox* jumps over the lazy table" the emphasis would be "fox".

Definition at line 68 of file desc_event_extended.h.

## Field Documentation

## [union]

union { ... } dvb_desc_event_extended

## id

uint8_t dvb_desc_event_extended::id

Definition at line 76 of file desc_event_extended.h.

## ids

uint8_t dvb_desc_event_extended::ids

Definition at line 78 of file desc_event_extended.h.

## items

struct dvb_desc_event_extended_item* dvb_desc_event_extended::items

Definition at line 84 of file desc_event_extended.h.

## language

unsigned char dvb_desc_event_extended::language[4]

Definition at line 81 of file desc_event_extended.h.

## last_id

uint8_t dvb_desc_event_extended::last_id

Definition at line 75 of file desc_event_extended.h.

## length

uint8_t dvb_desc_event_extended::length

Definition at line 70 of file desc_event_extended.h.

## next

struct dvb_desc* dvb_desc_event_extended::next

Definition at line 71 of file desc_event_extended.h.

## num_items

int dvb_desc_event_extended::num_items

Definition at line 85 of file desc_event_extended.h.

## text

char* dvb_desc_event_extended::text

Definition at line 82 of file desc_event_extended.h.

## text_emph

char* dvb_desc_event_extended::text_emph

Definition at line 83 of file desc_event_extended.h.

## type

uint8_t dvb_desc_event_extended::type

Definition at line 69 of file desc_event_extended.h.

The documentation for this struct was generated from the following file:

- lib/include/libdvbv5/desc_event_extended.h